Runtime

## org.eclipse.gmf.runtime.diagram.ui.util
Class MeasurementUnitHelper

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.util.MeasurementUnitHelper

public class MeasurementUnitHelper
extends java.lang.Object

Constructor Summary
`MeasurementUnitHelper()`

Method Summary
`static org.eclipse.gmf.runtime.draw2d.ui.mapmode.IMapMode` `getMapMode(MeasurementUnit unit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeasurementUnitHelper

    public MeasurementUnitHelper()

Method Detail

### getMapMode

    public static org.eclipse.gmf.runtime.draw2d.ui.mapmode.IMapMode getMapMode(MeasurementUnit unit)

  Parameters:
    `unit` - the `MeasurementUnit` to find the appropriate `IMapMode` implementation that will convert from the coordinate system of the unit to device coordinates.
  Returns:
    the `IMapMode` class that knows how to convert the unit to device coordinates.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.